ru.bitel.bgbilling.modules.bvcom.server.bean

## Class BVParams

- java.lang.Object
- - ru.bitel.bgbilling.modules.bvcom.server.bean.BVParams

-     public class BVParams
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BVCOM_CURRENCY_EUR`
    `static java.lang.String` | `BVCOM_CURRENCY_RUB`
    `static java.lang.String` | `BVCOM_CURRENCY_RUR`
    `static java.lang.String` | `BVCOM_CURRENCY_USD`
    `static int` | `BVCOM_PROTOCOL_VERSION_1`
    `static int` | `BVCOM_PROTOCOL_VERSION_2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BVParams(ModuleSetup moduleSetup)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCallbackUrl()`
    `int` | `getChargeTypeId()`
    `java.lang.String` | `getClient()`
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getCurrency()`
    `java.text.DecimalFormat` | `getDf()`
    `int` | `getEndPointId()`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getMerchantControl()`
    `static int` | `getOldProtocolCurrency()`
    `int` | `getPaymentTypeId()`
    `int` | `getProtocolVersion()`
    `java.lang.String` | `getResultUrl()`
    `java.lang.String` | `getServerUrl()`
    `void` | `setCallbackUrl(java.lang.String callbackUrl)`
    `void` | `setChargeTypeId(int chargeTypeId)`
    `void` | `setClient(java.lang.String client)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setCurrency(java.lang.String currency)`
    `void` | `setDf(java.text.DecimalFormat df)`
    `void` | `setEndPointId(int endPointId)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setMerchantControl(java.lang.String merchantControl)`
    `void` | `setPaymentTypeId(int paymentTypeId)`
    `void` | `setProtocolVersion(int version)`
    `void` | `setResultUrl(java.lang.String urlResult)`
    `void` | `setServerUrl(java.lang.String serverUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BVCOM_CURRENCY_RUR

          public static final java.lang.String BVCOM_CURRENCY_RUR

      See Also:
        Constant Field Values

    - #### BVCOM_CURRENCY_RUB

          public static final java.lang.String BVCOM_CURRENCY_RUB

      See Also:
        Constant Field Values

    - #### BVCOM_CURRENCY_EUR

          public static final java.lang.String BVCOM_CURRENCY_EUR

      See Also:
        Constant Field Values

    - #### BVCOM_CURRENCY_USD

          public static final java.lang.String BVCOM_CURRENCY_USD

      See Also:
        Constant Field Values

    - #### BVCOM_PROTOCOL_VERSION_1

          public static final int BVCOM_PROTOCOL_VERSION_1

      See Also:
        Constant Field Values

    - #### BVCOM_PROTOCOL_VERSION_2

          public static final int BVCOM_PROTOCOL_VERSION_2

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BVParams

          public BVParams(ModuleSetup moduleSetup)

  - ### Method Detail

    - #### getClient

          public java.lang.String getClient()

    - #### setClient

          public void setClient(java.lang.String client)

    - #### getDf

          public java.text.DecimalFormat getDf()

    - #### setDf

          public void setDf(java.text.DecimalFormat df)

    - #### setKey

          public void setKey(java.lang.String key)

    - #### setPaymentTypeId

          public void setPaymentTypeId(int paymentTypeId)

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getKey

          public java.lang.String getKey()

    - #### getPaymentTypeId

          public int getPaymentTypeId()

    - #### getComment

          public java.lang.String getComment()

    - #### getOldProtocolCurrency

          public static int getOldProtocolCurrency()

    - #### getResultUrl

          public java.lang.String getResultUrl()

    - #### setResultUrl

          public void setResultUrl(java.lang.String urlResult)

    - #### getProtocolVersion

          public int getProtocolVersion()

    - #### setProtocolVersion

          public void setProtocolVersion(int version)

    - #### getEndPointId

          public int getEndPointId()

    - #### setEndPointId

          public void setEndPointId(int endPointId)

    - #### getMerchantControl

          public java.lang.String getMerchantControl()

    - #### setMerchantControl

          public void setMerchantControl(java.lang.String merchantControl)

    - #### getCallbackUrl

          public java.lang.String getCallbackUrl()

    - #### setCallbackUrl

          public void setCallbackUrl(java.lang.String callbackUrl)

    - #### getCurrency

          public java.lang.String getCurrency()

    - #### setCurrency

          public void setCurrency(java.lang.String currency)

    - #### getChargeTypeId

          public int getChargeTypeId()

    - #### setChargeTypeId

          public void setChargeTypeId(int chargeTypeId)

    - #### getServerUrl

          public java.lang.String getServerUrl()

    - #### setServerUrl

          public void setServerUrl(java.lang.String serverUrl)